Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Feature #588

filtered playlist
November 12, 2015 00:52 - il lumilore

Status: Rejected Start date: November 12, 2015
Priority: Minor Due date:

Assignee: % Done: 0%

Category: Estimated time: 0.00 hour

Target version:

Affects version: 3.7

Description

| request that on the jump to song window that comes up when you hit "j" on a playlist, there be a toggle that says "only play these
songs" that when selected makes audacious treat it like a filtered playlist and only select songs from that filter. That way if the user
has a playlist that has many albums and they only want to play that album at the time (shuffled or not), they don't have to go through
the trouble of creating a new playlist just for that one album.

History

#1 - November 21, 2015 18:38 - John Lindgren
- Affects version 3.7 added
- Affects version deleted (3.8)

This is, more or less, the use case that the Search Tool and the "Now Playing" playlist are intended for. I'm against adding filtered playlists as such,
since it only increases the complexity of the playlist structure/concept, whose implementation is complex enough already--due in part to the queue
feature, which is effectively a playlist within a playlist.

#2 - November 22, 2015 08:36 - il lumilore

By search tool, you mean the jump to song window? | am also aware of the playlist manager, but not the now playing playlist.

#3 - November 22, 2015 18:14 - John Lindgren
No, the Search Tool plugin (Ctrl-Y or just Y, depending on the interface).

#4 - July 10, 2016 06:39 - John Lindgren

- Status changed from New to Rejected

Not a realistic feature given the current slow pace of development. Closing.
